Ice Reference Documentation
<<< Previous | Properties | Next >>>

# Ice Default and Override Properties

## Ice.Default.Protocol

### Synopsis

    Ice.Default.Protocol=protocol

### Description

Sets the protocol that is being used if an endpoint uses `default` as the protocol specification. The default value is `tcp`.

## Ice.Default.Host

### Synopsis

    Ice.Default.Host=host

### Description

If an endpoint is specified without a host name (i.e., without a `-h `host`` option), the `host` value from this property is used instead. The default value is the local host name.

## Ice.Default.Router

### Synopsis

    Ice.Default.Router=router

### Description

Specifies the default router for all proxies. The value is a stringified proxy to the Glacier2 router control interface. The default router can be overridden on a proxy using the `ice_router()` operation. The default value is no router.

## Ice.Default.Locator

### Synopsis

    Ice.Default.Locator=locator

### Description

Specifies a default locator for all proxies and object adapters. The value is a stringified proxy to the IcePack locator interface. The default locator can be overridden on a proxy using the `ice_locator()` operation. The default value is no locator.

| The IcePack locator's object identity is `IcePack/Locator`. It is listening on the IcePack client endpoints. For example, if `IcePack.Registry.Client.Endpoints` is set to `tcp -p 12000 -h localhost`, the stringified proxy for the IcePack locator is `IcePack/Locator:tcp -p 12000 -h localhost`.

## Ice.Override.Timeout

### Synopsis

    Ice.Override.Timeout=num

### Description

If set, this property overrides timeout settings in all endpoints. `num` is the timeout value in milliseconds, or -1 for no timeout.

## Ice.Override.ConnectTimeout

### Synopsis

    Ice.Override.ConnectTimeout=num

### Description

This property overrides timeout settings used to establish connections. `num` is the timeout value in milliseconds, or -1 for no timeout. If this property is not set, then `Ice.Override.Timeout` is used.

## Ice.Override.Compress

### Synopsis

    Ice.Override.Compress=num

### Description

If set, this property overrides compression settings in all proxies. If `num` is set to a value larger than zero, compression is enabled. If zero, compression is disabled.

The setting of this property is ignored in the server role.

Note that, if a client sets `Ice.Override.Compress=1` and the server does not support compression (as for Java), requests will fail due to marshaling errors.

If a Java client sets `Ice.Override.Compress=1`, the setting is ignored with a warning message on `stderr`.

Regardless of the setting of this property, requests smaller than 100 bytes are never compressed.

<<< Previous | Home | Next >>>
Ice Thread Pool Properties | Up | Ice Miscellaneous Properties